import sqlalchemy as sa
from efa.model.resultindicators import ResultIndicators
from formbar.form import Form
from ringo.model import Base
from ringo.lib.form import get_form_config


# Many-to-many intermediate tables for industry questions in OI form
#nm_ri_industry = sa.Table(
#    'nm_ri_industries',
#    Base.metadata,
#    sa.Column('ri_id', sa.Integer, sa.ForeignKey('resultindicators.id')),
#    sa.Column('industry_id', sa.Integer, sa.ForeignKey('qe_ri_industry.id'))
#)
#
#
#nm_ri_industry_wish = sa.Table(
#    'nm_ri_industries_wish',
#    Base.metadata,
#    sa.Column('ri_id', sa.Integer, sa.ForeignKey('resultindicators.id')),
#    sa.Column('industry_id', sa.Integer, sa.ForeignKey('qe_ri_industry.id'))
#)


#class QERiIndustry(Base):
#    """QE specific Resultindicators. Adds some local fields.
#    """
#    __tablename__ = 'qe_ri_industry'
#
#    # Status of the outputindicators
#    id = sa.Column(sa.Integer, primary_key=True)
#    value = sa.Column('value', sa.String)
#
#    def __str__(self):
#        return self.value

    
class QEResultIndicators(ResultIndicators):
    participation = sa.orm.relation(
        "Participation",
        enable_typechecks=False,
        backref=sa.orm.backref("qeri",
                                uselist=False,
                                cascade="all"))

    qualification_integration_class = sa.Column('qualification_integration_class', sa.Integer)
    qualification_language_course = sa.Column('qualification_language_course', sa.Integer)
    qualification_misc = sa.Column('qualification_misc', sa.Integer)
    qualification_misc_text = sa.Column('qualification_misc_text', sa.Text, nullable=False, server_default='')
    change_to_si = sa.Column('change_to_si', sa.Integer)
    success_voluntary = sa.Column('success_voluntary', sa.Integer)
    success_support_group = sa.Column('success_support_group', sa.Integer)
    success_internship = sa.Column('success_internship', sa.Integer)
    success_misc = sa.Column('success_misc', sa.Integer)
    success_misc_text = sa.Column('success_misc_text', sa.Text, nullable=False, server_default='')
    project_module = sa.Column('project_module', sa.String, default='')
    children_age = sa.Column('children_age', sa.String, default='')
    reason_for_cancel = sa.Column('reason_for_cancel', sa.Integer)
    reason_for_cancel_else_reason = sa.Column(
        'reason_for_cancel_else_reason', sa.String)
    new_qualification_type = sa.Column('new_qualification_type',
        sa.Integer)
    new_qualification_type_else = sa.Column('new_qualification_type_else',
        sa.String)
    new_job_in_future = sa.Column('new_job_in_future', sa.Integer)
    new_job_in_4weeks = sa.Column('new_job_in_4weeks', sa.Integer)
    worktime = sa.Column('worktime', sa.Integer)
    job_place = sa.Column('job_place', sa.Integer)
    job_place_else = sa.Column('job_place_else', sa.String)
    job_position = sa.Column('job_position', sa.String)
    job_position_else = sa.Column('job_position_else', sa.String)
    job_organisation = sa.Column('job_organisation', sa.Integer)
    job_organisation_kitas = sa.Column('job_organisation_kitas', sa.Integer)
    job_organisation_horts = sa.Column('job_organisation_horts', sa.Integer)
    job_organisation_others = sa.Column('job_organisation_others', sa.Integer)
    job_organisation_others_else = sa.Column('job_organisation_others_else',
        sa.String)
        

